Bug 448745 - Review Request: ext3grep - Recovery tool for ext3 filesystems
Review Request: ext3grep - Recovery tool for ext3 filesystems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 11:26 EDT by Milos Jakubicek
Modified: 2008-06-03 03:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 03:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2008-05-28 11:26:23 EDT
Spec URL: http://mjakubicek.fedorapeople.org/ext3grep/ext3grep.spec
SRPM URL: http://mjakubicek.fedorapeople.org/ext3grep/ext3grep-0.6.0-1.fc9.src.rpm
Description: A tool to investigate an ext3 file system for deleted content and possibly recover it.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=632237
Comment 1 Brian Pepple 2008-05-28 19:55:51 EDT
MD5Sum:
aabd3b85e5862cddc284a37f300df186  ext3grep-0.6.0.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Rpmlint produces no warnings or errors
* Package builds fine in koji.
* Package installs and uninstalls cleanly

Minor (non-blocker):
* you should package the LICENSE.GPL2 file.

+1 Approved
Comment 2 Milos Jakubicek 2008-05-29 02:46:11 EDT
(In reply to comment #1)
> Minor (non-blocker):
> * you should package the LICENSE.GPL2 file.

Isn't this (as it is done now) the supposed way?:

%doc NEWS README LICENSE.GPL2

> +1 Approved

Thanks for your review.
Comment 3 Milos Jakubicek 2008-05-29 09:48:58 EDT
New Package CVS Request
=======================
Package Name: ext3grep
Short Description: Recovery tool for ext3 filesystems
Owners: mjakubicek
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-05-30 16:24:51 EDT
cvs done.
Comment 5 Fedora Update System 2008-05-31 16:12:52 EDT
ext3grep-0.6.0-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-05-31 16:14:39 EDT
ext3grep-0.6.0-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-03 03:30:49 EDT
ext3grep-0.6.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-03 03:33:01 EDT
ext3grep-0.6.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.